KeyseS Store โ€” Reseller API v1

Base URL: https://keyses.shop/api/v1
Auth: header X-API-Key: ks_... โ€” get your key in the bot โ†’ ๐Ÿ”‘ API. Purchases are paid from your bot balance (top up in the bot). Prices in USD.

GET /balance

{"success": true, "balance": 42.5, "currency": "USD"}

GET /products

{"success": true, "products": [{"id": 12, "name": "ChatGPT Plus 1M", "category": "AI", "description": "...",
  "price": 4.49, "in_stock": true, "requires_email": false}]}

POST /orders

Body: {"product_id": 12, "quantity": 1, "email": "only if requires_email"}. Optional header Idempotency-Key โ€” retries with the same key return the original order without charging twice.

{"success": true, "order": {"id": 1001, "status": "delivered", "product_id": 12, "quantity": 1, "amount": 4.49,
  "items": ["login:pass ..."], "created_at": 1760000000}}

Status: delivered (items included), processing (poll GET /orders/{id}), refunded (amount returned to balance).

GET /orders/{id}

Same order object.

Errors

401 invalid key ยท 400 bad params ยท 402 insufficient balance ยท 409 unavailable / out of stock. Body: {"success": false, "error": "..."}

Example (Python)

import requests
H = {"X-API-Key": "ks_..."}
B = "https://keyses.shop/api/v1"
print(requests.get(B + "/products", headers=H).json())
print(requests.post(B + "/orders", headers={**H, "Idempotency-Key": "my-order-1"}, json={"product_id": 12, "quantity": 1}).json())